hwh

  • *
  • 1018
Re: LP 15.09 Stack Error on REVO
« Reply #15 on: April 12, 2016, 04:54:32 pm »
Another forum user posted a link to an OS-X next build a few weeks ago in thread https://forum.librepilot.org/index.php?topic=869.msg7934#msg7934   At least one user downloaded it and said it worked.

Re: LP 15.09 Stack Error on REVO
« Reply #16 on: April 13, 2016, 04:55:05 pm »
@f5soh thanks for confirmation that my thinking was correct. And @hwh thanks for the link - OSX next build works very well! I hope to see next official release soon:)

Re: LP 15.09 Stack Error on REVO
« Reply #17 on: June 26, 2016, 03:31:52 pm »
I also had the stack error with a revo and 15.09
the fw by f5soh seams to fix this
but since some time has past , I was just wondering if this still the best solution to this problem?

f5soh

  • *****
  • 4572
    • LibrePilot
Re: LP 15.09 Stack Error on REVO
« Reply #18 on: June 26, 2016, 06:59:31 pm »
Still the right solution if you experienced low system memory with Revo.

Re: LP 15.09 Stack Error on REVO
« Reply #19 on: June 27, 2016, 08:50:32 pm »
Getting this constantly with 15.09, but not having any issues with 'next'.
Shane

f5soh

  • *****
  • 4572
    • LibrePilot
Re: LP 15.09 Stack Error on REVO
« Reply #20 on: June 27, 2016, 09:10:48 pm »
Looks normal, the "fix" is already in next

Re: LP 15.09 Stack Error on REVO
« Reply #21 on: July 20, 2016, 11:55:14 am »
Hello everyone,

I build a skywalker plane (the 1680 v6-wingspan version) with the Revolution controller card (with OPlink module) in order to make an autonomous flight assisted by GPS. I have the required GPS that work well (ten satellites found).

I got the same problem about stack overflow error : please, what do you clearly suggest to do (in simple English terms please, I'm french) ?

I've the basic framework, so I don't upload the bootloader of Revolution, may be that the problem ?

Thank you a lot for your past answers about this exception, I didn't found others helpful answers on the web !

f5soh

  • *****
  • 4572
    • LibrePilot
Re: LP 15.09 Stack Error on REVO
« Reply #22 on: July 20, 2016, 01:15:02 pm »
Download firmware here from a previous post :
https://forum.librepilot.org/index.php?topic=708.msg5170#msg5170

Manually update the firmware:
- Disconnect board
- Hit Rescue
- Connect board
- Open firmware downloaded and flash it.

Re: LP 15.09 Stack Error on REVO
« Reply #23 on: July 20, 2016, 07:36:17 pm »
I don't see link or file..

I try to download the firmware for librepilot.org (https://librepilot.atlassian.net/wiki/display/LPDOC/Downloads) : I did what you said ; the version is good (15.09) but issue still appears..

f5soh

  • *****
  • 4572
    • LibrePilot
Re: LP 15.09 Stack Error on REVO
« Reply #24 on: July 20, 2016, 07:39:43 pm »
You don't see the attached firmware file here ?
https://forum.librepilot.org/index.php?topic=708.msg5170#msg5170

This file need to be used with 15.09 GCS and fix the stack error.


Re: LP 15.09 Stack Error on REVO
« Reply #25 on: July 20, 2016, 07:40:33 pm »
NOPE !

f5soh

  • *****
  • 4572
    • LibrePilot
Re: LP 15.09 Stack Error on REVO
« Reply #26 on: July 20, 2016, 07:42:41 pm »
Weird... file attached should be only hidden while disconnected.

Try this link:
https://forum.librepilot.org/index.php?action=dlattach;topic=708.0;attach=1332

Re: LP 15.09 Stack Error on REVO
« Reply #27 on: July 20, 2016, 09:25:29 pm »
Thank you a lot, it's good !

My Skywalker can fly now !

One last question : the last LibrePilot firmware allows GPS Assist ?

f5soh

  • *****
  • 4572
    • LibrePilot
Re: LP 15.09 Stack Error on REVO
« Reply #28 on: July 20, 2016, 11:41:53 pm »
GPS Assist should be used with multirotors i think

Re: LP 15.09 Stack Error on REVO
« Reply #29 on: July 21, 2016, 03:25:12 pm »
Your fixed wing that I saw on your YouTube channel was assisted by GPS, isn't ?